﻿dofile(ModPath .. "menu/menu.lua")

--Sets up the weapons
local murky_shield = {
	"c45",
	"mp9"
}
local russia_swat_mapping = {
	[("units/pd2_dlc_mad/characters/ene_akan_cs_swat_ak47_ass/ene_akan_cs_swat_ak47_ass"):key()] = "akmsu_smg"
}
local russia_medic_mapping = {
	[("units/pd2_dlc_mad/characters/ene_akan_medic_ak47_ass/ene_akan_medic_ak47_ass"):key()] = "ak47_ass"
}
local zombie_tazer_mapping = {
	[("units/pd2_dlc_hvh/characters/ene_tazer_hvh_1/ene_tazer_hvh_1"):key()] = "m4_yellow"
}
local murky_g36_mapping = {
	[("units/pd2_dlc_bph/characters/ene_murkywater_light_city/ene_murkywater_light_city"):key()] = "scar_murky",
	[("units/pd2_dlc_bph/characters/ene_murkywater_heavy_g36/ene_murkywater_heavy_g36"):key()] = "scar_murky"
}
local murky_shield_mapping = {
	[("units/pd2_dlc_bph/characters/ene_murkywater_shield/ene_murkywater_shield"):key()] = murky_shield
}
local fed_swat_mapping = {
	[("units/pd2_dlc_bex/characters/ene_swat_policia_federale/ene_swat_policia_federale"):key()] = "mp5"
}
local fed_g36_mapping = {
	[("units/pd2_dlc_bex/characters/ene_swat_policia_federale_city/ene_swat_policia_federale_city"):key()] = "ump",
	[("units/pd2_dlc_bex/characters/ene_swat_heavy_policia_federale_g36/ene_swat_heavy_policia_federale_g36"):key()] = "ump",
	[("units/pd2_dlc_bex/characters/ene_swat_heavy_policia_federale_fbi_g36/ene_swat_heavy_policia_federale_fbi_g36"):key()] = "ump"
}

Hooks:PreHook(CopBase, "post_init", "Mix_Bundle_post_init", function(self)
	local russia_swat_swap = russia_swat_mapping[self._unit:name():key()]
	local russia_medic_swap = russia_medic_mapping[self._unit:name():key()]
	local zombie_tazer_swap = zombie_tazer_mapping[self._unit:name():key()]
	local murky_g36_swap = murky_g36_mapping[self._unit:name():key()]
	local murky_shield_swap = murky_shield_mapping[self._unit:name():key()]
	local fed_swat_swap = fed_swat_mapping[self._unit:name():key()]
	local fed_g36_swap = fed_g36_mapping[self._unit:name():key()]

	if russia_swat_swap and MixBundle.settings.mad_akmsu_swat == true then
		self._default_weapon_id = type(russia_swat_swap) == "table" and table.random(russia_swat_swap) or russia_swat_swap
	end
	if russia_medic_swap and MixBundle.settings.mad_ak_medic == true then
		self._default_weapon_id = type(russia_medic_swap) == "table" and table.random(russia_medic_swap) or russia_medic_swap
	end
	if zombie_tazer_swap and MixBundle.settings.hvh_yellow_tazer == true then
		self._default_weapon_id = type(zombie_tazer_swap) == "table" and table.random(zombie_tazer_swap) or zombie_tazer_swap
	end
	if murky_g36_swap and MixBundle.settings.bph_scar_g36 == true then
		self._default_weapon_id = type(murky_g36_swap) == "table" and table.random(murky_g36_swap) or murky_g36_swap
	end
	if murky_shield_swap and MixBundle.settings.bph_mix_shield == true then
		self._default_weapon_id = type(murky_shield_swap) == "table" and table.random(murky_shield_swap) or murky_shield_swap
	end
	if fed_swat_swap and MixBundle.settings.bex_mp5_swat == true then
		self._default_weapon_id = type(fed_swat_swap) == "table" and table.random(fed_swat_swap) or fed_swat_swap
	end
	if fed_g36_swap and MixBundle.settings.bex_ump_g36 == true then
		self._default_weapon_id = type(fed_g36_swap) == "table" and table.random(fed_g36_swap) or fed_g36_swap
	end
end)